%bcond_with bootstrap

Name:           plexus-utils
Version:        3.5.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plexus Common Utilities
# ASL 1.1: several files in src/main/java/org/codehaus/plexus/util/
# xpp: src/main/java/org/codehaus/plexus/util/xml/pull directory
# ASL 2.0 and BSD:
#      src/main/java/org/codehaus/plexus/util/cli/StreamConsumer.java
#      src/main/java/org/codehaus/plexus/util/cli/StreamPumper.java
#      src/main/java/org/codehaus/plexus/util/cli/Commandline.java
# Public domain: src/main/java/org/codehaus/plexus/util/TypeFormat.java
# rest is ASL 2.0
License:        ASL 1.1 and ASL 2.0 and xpp and BSD and Public Domain
URL:            https://codehaus-plexus.github.io/plexus-utils/
BuildArch:      noarch
#ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
%endif

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%{?javadoc_package}

%prep
%setup -q -n %{name}-%{name}-%{version}

%mvn_file : plexus/utils
%mvn_alias : plexus:plexus-utils

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license NOTICE.txt LICENSE.txt


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.5.1-2.mga10
+ Revision: 2222723
- Mageia 10 Mass Rebuild

* Fri May 17 2024 ns80 <ns80> 3.5.1-1.mga10
+ Revision: 2064582
- new version 3.5.1 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.3.0-11.mga9
+ Revision: 1871123
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.3.0-10.mga9
+ Revision: 1870931
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 3.3.0-2.mga8
+ Revision: 1670133
- Rebuilt for JDK-11

* Wed Aug 19 2020 neoclust <neoclust> 3.3.0-1.mga8
+ Revision: 1616018
- New version 3.3.0

* Sat Feb 15 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1528641
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1431713
- Update to version 3.2.0

* Wed Oct 10 2018 guillomovitch <guillomovitch> 3.1.0-3.mga7
+ Revision: 1319318
- new version 3.1.0

* Wed Sep 19 2018 umeabot <umeabot> 3.0.24-3.mga7
+ Revision: 1274449
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 3.0.24-2.mga6
+ Revision: 1099604
- New version 3.0.24
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.0.22-3.mga6
+ Revision: 977770
- First rebuild of the java stack
- sync package plexus-utils with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.14-5.mga5
+ Revision: 742959
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.0.14-3.mga4
+ Revision: 535141
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 3.0.14-1.mga4
+ Revision: 481189
- New version 3.0.14

* Sun Jan 13 2013 umeabot <umeabot> 3.0.9-2.mga3
+ Revision: 377928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 3.0.9-1.mga3
+ Revision: 325814
- New version

* Thu Dec 22 2011 dmorgan <dmorgan> 3.0-1.mga2
+ Revision: 186226
- New version 3.0
- Rebuild after bootstrapping
- imported package plexus-utils


* Mon Feb 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0.6-1
- Update to 2.0.6
- Remove obsolete patches
- Use maven 3 to build

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0.5-2
- Use versionless jars/javadocs
- Use new maven plugin names
- Add compatibility depmap

* Wed May  5 2010 Mary Ellen Foster <mefoster at gmail.com> 2.0.5-1
- Update to 2.0.5

* Fri Feb 12 2010 Mary Ellen Foster <mefoster at gmail.com> 2.0.1-1
- Update to 2.0.1
- Build with maven

* Wed Aug 19 2009 Andrew Overholt <overholt@redhat.com> 1.4.5-1.2
- Update to 1.4.5 from JPackage and Deepak Bhole
- Remove gcj bits

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.2-2.2
- fix license tag
- drop repotag

* Thu Aug 23 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.4.5-1jpp
- Upgrade to 1.4.5
- Now build with maven2 by default

* Wed Mar 21 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.2-2jpp
- Fix build classpath
- Optionally build with maven2
- Add gcj_support option

* Mon Feb 20 2007 Deepak Bhole <dbhole@redhat.com> - 0:1.2-2jpp.1.fc7
- Fix spec per Fedora guidelines

* Fri Jun 16 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.2-1jpp
- Upgrade to 1.2

* Wed Jan 04 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2jpp
- First JPP 1.7 build

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.4-1jpp
- First JPackage build
